Bulk insert valuations Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v2/valuations/bulk

Creates multiple valuations for a plan and sub-account

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • plan_uuid string(uuid) Required

    The UUID of the plan to store the valuations on.

  • sub_account_uuid string(uuid)

    The UUID of the plan's sub account to store the valuations on.

  • valuations array[object] Required

    The valuations to store. You can provide up to 1,000 valuations per request.

    Hide valuations attributes Show valuations attributes object
    • valued_at string(date)

      The date the valuation was made.

    • value integer

      The value represented in pennies.

    • bulk_reference_uuid string(uuid)

      Optional field to provide a unique UUIDv4 for your reference.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string
POST /api/v2/valuations/bulk
curl \
 --request POST 'https://api.plannrcrm.com/api/v2/valuations/bulk' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"plan_uuid":"994a6ae4-c52d-4d12-a05f-d94a67a1d59e","sub_account_uuid":"48efed9c-5a0b-42e4-ba53-bb78d842755b","valuations":[{"valued_at":"2025-01-01","value":100000,"bulk_reference_uuid":"04db485d-ad69-4ab4-a706-e45e67d36d0a"}]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "plan_uuid": "994a6ae4-c52d-4d12-a05f-d94a67a1d59e",
  "sub_account_uuid": "48efed9c-5a0b-42e4-ba53-bb78d842755b",
  "valuations": [
    {
      "valued_at": "2025-01-01",
      "value": 100000,
      "bulk_reference_uuid": "04db485d-ad69-4ab4-a706-e45e67d36d0a"
    }
  ]
}
Response examples (401)
{
  "message": "Unauthenticated."
}